DNF4(8)

NUME
dnf4 - referință comandă DNF

SINOPSIS

dnf [opțiuni] <comandă> [<argumente>...]

DESCRIERE

DNF este următoarea versiune majoră viitoare a tty: link», un gestionar de pachete pentru distribuțiile Linux bazate pe RPM. Acesta menține în linii mari compatibilitatea CLI cu YUM și definește un API strict pentru extensii și module.

Modulele plug-in pot modifica sau extinde caracteristicile DNF sau pot furniza comenzi CLI suplimentare pe lângă cele menționate mai jos. Dacă cunoașteți numele unei astfel de comenzi (inclusiv comenzile menționate mai jos), puteți găsi/instala pachetul care o furnizează utilizând furnizorul virtual corespunzător sub forma dnf-command(<alias>), unde <alias> este numele comenzii; de exemplu, dnf install 'dnf-command(versionlock)' instalează un modul versionlock. Această abordare se aplică, de asemenea, la specificarea dependențelor de pachete care necesită o anumită comandă DNF.

Valori returnate:

•   0 : Operația a fost efectuată cu succes.

•   1 : A apărut o eroare, care a fost gestionată de dnf.

•   3 : O eroare necunoscută negestionată a apărut în timpul operației.

•   100: A se vedea check-update

•   200: A existat o problemă cu achiziția sau eliberarea blocărilor.

    Comenzi disponibile:

•   alias

•   autoremove

•   check

•   check-update

•   clean

•   deplist

•   distro-sync

•   downgrade

•   group

•   help

•   history

•   info

•   install

•   list

•   makecache

•   mark

•   module

•   provides

•   reinstall

•   remove

•   repoinfo

•   repolist

•   repoquery

•   repository-packages

•   search

•   shell

•   swap

•   updateinfo

•   upgrade

•   upgrade-minimal

    Informații adiționale:

•   Opțiuni

•   Specificarea pachetelor

•   Specificarea furnizărilor

•   Specificarea furnizărilor de fișiere

•   Specificarea grupurilor

•   Specificarea tranzacțiilor

•   Sincronizarea metadatelor

•   Politica de înlocuire a fișierelor de configurare

•   Fișiere

•   Consultați și

OPȚIUNI

-4  Rezolvă numai pentru adrese IPv4.

-6  Rezolvă numai pentru adrese IPv6.

--advisory=<aviz>, --advisories=<aviz>
    Include pachetele corespunzătoare ID-ului avizului, de exemplu FEDORA-2201-123. Aplicabil pentru comenzile install, repoquery, updateinfo, upgrade și offline-upgrade (dnf-plugins-core).

--allowerasing
    Permite ștergerea pachetelor instalate pentru a rezolva dependențele. Această opțiune poate fi utilizată ca alternativă la comanda yum swap în cazul în care pachetele care trebuie eliminate nu sunt definite explicit.

--assumeno
    Răspunde automat „nu” la toate întrebările.

-b, --best
    Încearcă cele mai bune versiuni de pachete disponibile în tranzacții. În special în timpul operației dnf upgrade, care în mod implicit sare peste actualizările care nu pot fi instalate din motive de dependență, această opțiune forțează DNF să ia în considerare doar cele mai recente pachete. Atunci când se confruntă cu pachete cu dependențe întrerupte, DNF va eșua, oferind un motiv pentru care cea mai recentă versiune nu poate fi instalată.

    Rețineți că utilizarea celei mai recente versiuni disponibile este garantată numai pentru pachetele solicitate direct (de exemplu, ca argumente în linia de comandă), iar soluționatorul poate utiliza versiuni mai vechi ale dependențelor pentru a îndeplini aceste cerințele.

--bugfix
    Include pachete care remediază o problemă de bugfix. Aplicabilă pentru comenzile install, repoquery, updateinfo, upgrade și offline-upgrade (dnf-plugins-core).

--bz=<bugzilla>, --bzs=<bugzilla>
    Include pachete care corectează un ID Bugzilla, de exemplu 123123. Aplicabilă pentru comenzile install, repoquery, updateinfo, upgrade și offline-upgrade (dnf-plugins-core).

-C, --cacheonly
    Rulează în întregime din memoria cache a sistemului, nu actualiza memoria cache și o utilizează chiar și în cazul în care aceasta este expirată.

    DNF utilizează un cache separat pentru fiecare utilizator sub care se execută. Memoria cache pentru utilizatorul root se numește memoria cache de sistem. Această opțiune permite unui utilizator obișnuit să aibă acces numai la citire la memoria cache a sistemului, care este de obicei mai proaspătă decât memoria cache a utilizatorului și, prin urmare, nu trebuie să aștepte sincronizarea metadatelor.

--color=<culoare>
    Controlează dacă culoarea este utilizată în ieșirea terminalului. Valorile valabile sunt „always”, întotdeauna, „never”, niciodată și auto (implicit).

--comment=<comentariu>
    Adaugă un comentariu la istoricul tranzacției.

-c <fișier-configurare>, --config=<fișier-configurare>
    Locația fișierului de configurare.

--cve=<cves>, --cves=<cves>
    Include pachete care corectează un CVE (Common Vulnerabilities and Exposures) ID (http://cve.mitre.org/about/), de exemplu CVE-2201-0123. Aplicabilă pentru comenzile install, repoquery, updateinfo, upgrade și offline-upgrade (dnf-plugins-core).

-d <nivel-depanare>, --debuglevel=<nivel-depanare>
    Nivelul de ieșire pentru depanare. Aceasta este o valoare întreagă între 0 (niciun șir de informații suplimentare) și 10 (afișează toate informațiile de depanare, chiar și cele care nu pot fi înțelese de utilizator), valoarea implicită este 2. Depreciată, utilizați în schimb opțiunea -v.

--debugsolver
    Descarcă datele care ajută la depanarea rezolvatorului de dependențe în ./debugdata.

--disableexcludes=[all|main|<id-depozit>], --disableexcludepkgs=[all|main|<id-depozit>]
    Dezactivează opțiunile de configurare excludepkgs și includepkgs. Acceptă una dintre următoarele trei opțiuni:

•   all, dezactivează toate configurațiile excludepkgs și includepkgs

•   main, dezactivează excludepkgs și includepkgs definite în secțiunea [main]

•   repoid (id-depozit), dezactivează excludepkgs și includepkgs definite pentru depozitul dat

    Rețineți că opțiunea --exclude se adaugă la configurația [main] excludepkgs și, prin urmare, este dezactivată atunci când se specifică main sau all.

--disable, --set-disabled
    Dezactivează depozitele specificate (salvează automat). Opțiunea trebuie să fie utilizată împreună cu comanda config-manager (dnf-plugins-core).

--disableplugin=<nume-modul>
    Dezactivează modulele enumerate specificate prin nume sau șiruri ce conțin caractere joker.

--disablerepo=<id-depozit>
    Dezactivează temporar depozitele active pentru scopul comenzii dnf curente. Acceptă un id, o listă de id-uri separate prin virgule sau un model global de id-uri. Această opțiune poate fi specificată de mai multe ori, dar este mutual exclusivă cu --repo.

--downloaddir=<ruta>, --destdir=<ruta>
    Redirecționează pachetele descărcate către directorul furnizat. Opțiunea trebuie să fie utilizată împreună cu opțiunea de linie de comandă --downloadonly, cu comenzile download, modulesync, reposync sau system-upgrade (dnf-plugins-core).

--downloadonly
    Descarcă setul de pachete rezolvat fără a efectua nicio tranzacție rpm (instalare/actualizare/ștergere).

    Pachetele sunt eliminate după următoarea tranzacție reușită. Acest lucru este valabil și atunci când se utilizează împreună cu opțiunea --destdir, deoarece directorul este considerat ca făcând parte din cache-ul DNF. Pentru a păstra pachetele, utilizați în schimb comanda download.

-e <nivel-eroare>, --errorlevel=<nivel-eroare>
    Nivelul de ieșire a erorilor. Aceasta este o valoare întreagă între 0 (nicio ieșire de eroare) și 10 (afișează toate mesajele de eroare), implicit 3. Depreciată, utilizați în schimb -v.

--enable, --set-enabled
    Activează depozitele specificate (salvează automat). Opțiunea trebuie să fie utilizată împreună cu comanda config-manager (dnf-plugins-core).

--enableplugin=<nume-modul>
    Activează modulele enumerate specificate prin nume sau șiruri ce conțin caractere joker.

--enablerepo=<id-depozit>
    Activează temporar depozite suplimentare pentru scopul comenzii dnf curente. Acceptă un id, o listă de id-uri separate prin virgule sau un model global de id-uri. Această opțiune poate fi specificată de mai multe ori.

--enhancement
    Include pachetele relevante pentru îmbunătățire. Aplicabilă pentru comenzile install, repoquery, updateinfo, upgrade și offline-upgrade (dnf-plugins-core).

-x <spec-fișier-pachet>, --exclude=<spec-fișier-pachet>
    Exclude pachetele specificate de <spec-fișier-pachet> din operație.

--excludepkgs=<spec-fișier-pachet>
    Opțiune depreciată. A fost înlocuită de opțiunea --exclude.

--forcearch=<arhitectura>
    Forțează utilizarea unei arhitecturi. Orice arhitectură poate fi specificată. Cu toate acestea, utilizarea unei arhitecturi care nu este acceptată nativ de CPU va necesita un fel de emulare. Aceasta se realizează de obicei prin QEMU. Comportamentul --forcearch poate fi configurat prin utilizarea opțiunilor de configurare arch și ignorearch cu valorile <arhitectura> și respectiv True.

-h, --help, --help-cmd
    Afișează mesajul de ajutor.

--installroot=<ruta>
    Specifică un „installroot” alternativ, relativ la locul unde vor fi instalate toate pachetele. Gândiți-vă la acest lucru ca la chroot <root> dnf, cu excepția faptului că utilizarea --installroot permite dnf să funcționeze înainte ca chroot-ul să fie creat. Aceasta necesită ruta absolută.

•   cachedir, log files, releasever și gpgkey sunt preluate din sau stocate în „installroot”. gpgkeys sunt importate în „installroot” dintr-o rută relativă la gazdă care poate fi specificată în secțiunea depozit [repo] a fișierelor de configurare.

•   fișierul de configurare și reposdir sunt căutate mai întâi în installroot. Dacă acestea nu sunt prezente, sunt preluate din sistemul gazdă. Notă: Atunci când se specifică o rută într-un argument din linia de comandă (--config=<fișier-configurare> în cazul fișierului de configurare și --setopt=reposdir=<director-depozite> pentru reposdir), atunci această rută este întotdeauna relativă la gazdă, fără excepții.

•   vars sunt preluate din sistemul gazdă sau installroot în conformitate cu reposdir . Atunci când ruta reposdir este specificată într-un argument al liniei de comandă, „vars” sunt preluate din „installroot”. Atunci când rutele varsdir sunt specificate într-un argument de linie de comandă (--setopt=varsdir=<director-depozite>), atunci aceste rute sunt întotdeauna relative la sistemul gazdă fără excepții.

•   pluginpath și pluginconfpath sunt relative la gazdă. Notă: Este posibil să doriți, de asemenea, să utilizați opțiunea de linie de comandă --releasever=<versiune-lansare> atunci când creați installroot, în caz contrar valoarea $releasever este preluată din rpmdb din cadrul installroot (și, prin urmare, este goală în momentul creării și tranzacția va eșua). Dacă se utilizează --releasever=/, releasever-ul va fi detectat din sistemul gazdă (/). Noua rută installroot la momentul creării nu conține fișierele repository, releasever și dnf.conf.

    Într-un sistem modular, este posibil să doriți, de asemenea, să utilizați opțiunea de linie de comandă --setopt=module_platform_id=<nume-platformă-modul:flux> la crearea installroot-ului, în caz contrar valoarea module_platform_id va fi preluată din fișierul /etc/os-release din cadrul installroot-ului (și, prin urmare, acesta va fi gol la momentul creării, dependența modulară ar putea fi nesatisfăcută și conținutul modulelor ar putea fi exclus).

    Exemple «installroot»:

dnf --installroot=<rădăcină-instalare> --releasever=<versiune-lansare> install system-release
    Definește permanent releasever al sistemului în directorul <rădăcină-instalare> la <versiune-lansare>.

dnf --installroot=<rădăcină-instalare> --setopt=reposdir=<ruta> --config /ruta/la/dnf.conf upgrade
    Actualizează pachetele din „installroot” de la un depozit descris de --setopt folosind configurația din /ruta/la/dnf.conf.

--newpackage
    Include pachetele relevante „newpackage” (pachet-nou). Aplicabilă pentru comenzile install, repoquery, updateinfo, upgrade și offline-upgrade (dnf-plugins-core).

--noautoremove
    Dezactivează eliminarea dependențelor care nu mai sunt utilizate. Stabilește opțiunea de configurare clean_requirements_on_remove la False.

--nobest
    Stabilește opțiunea „best” (cea mai bună (alegere)) la False, astfel încât tranzacțiile să nu fie limitate doar la cei mai buni candidați.

--nodocs
    Nu instalează documentația. Activează fanionul rpm „RPMTRANS_FLAG_NODOCS”.

--nogpgcheck
    Omite verificarea semnăturilor GPG pe pachete (dacă politica RPM o permite).

--noplugins
    Dezactivează toate modulele.

--obsoletes
    Această opțiune are un efect asupra unei instalări/actualizări, activând logica de procesare a obsoletes a dnf. Pentru mai multe informații, consultați opțiunea obsoletes.

    Această opțiune afișează și capacitățile pe care pachetul le elimină atunci când este utilizată împreună cu comanda repoquery.

    Opțiunea de configurare: obsoletes

-q, --quiet
    În combinație cu o comandă non-interactivă, afișează doar conținutul relevant. Suprimă mesajele de notificare privind starea curentă sau acțiunile DNF.

-R <minute>, --randomwait=<minute>
    Timpul maxim de așteptare a comenzii.

--refresh
    Marchează metadatele ca fiind expirate înainte de a executa comanda.

--releasever=<versiune>
    Configurează DNF ca și cum versiunea de distribuție ar fi <versiune>. Acest lucru poate afecta rutele cache, valorile din fișierele de configurare și adresele URL ale listei oglinzilor.

--releasever_major=<versiunea-majoră>
    Suprascrie variabila releasever_major, care este de obicei detectată automat sau preluată din partea din $releasever înainte de primul .. Această opțiune nu afectează variabila $releasever.

--releasever_minor=<versiunea-minoră>
    Suprascrie variabila releasever_minor, care este de obicei detectată automat sau preluată din partea din $releasever după primul .. Această opțiune nu afectează variabila $releasever.

--repofrompath <depozit>,<rută/url>
    Specifică un depozit pentru a fi adăugat la depozitele pentru această interogare. Această opțiune poate fi utilizată de mai multe ori.

•   Eticheta depozitului este specificată prin <depozit>&.

•   Ruta sau adresa URL către depozit este specificată de <rută/url>. Este aceeași rută ca și baseurl și poate fi, de asemenea, îmbogățită prin variabilele repo.

•   Configurația pentru depozit poate fi ajustată utilizând --setopt=<depozit>.<opțiune>=<valoare>.

•   Dacă doriți să vizualizați numai pachetele din acest depozit, combinați acest lucru cu opțiunile --repo=<depozit> sau --disablerepo=„*”.

--repo=<id-depozit>, --repoid=<id-depozit>
    Activează doar anumite depozite printr-un id sau un model global. Poate fi utilizată de mai multe ori cu efect cumulativ. Este practic o scurtătură pentru --disablerepo=„*” --enablerepo=<repoid> și se exclude reciproc cu opțiunea --disablerepo.

--rpmverbosity=<nume>
    Nivelul de ieșire al scripturilor de depanare RPM. Stabilește nivelul de depanare la <nume> pentru scripturile RPM. Pentru nivelurile disponibile, consultați opțiunea de configurare rpmverbosity.

--sec-severity=<gravitate>, --secseverity=<gravritate>
    Include pachete care oferă o soluție pentru o problemă cu gravitatea specificată. Aplicabilă pentru comenzile install, repoquery, updateinfo, upgrade și offline-upgrade (dnf-plugins-core).

--security
    Include pachete care oferă o soluție pentru o problemă de securitate. Aplicabilă pentru comenzile install, repoquery, updateinfo, upgrade și offline-upgrade (dnf-plugins-core).

--setopt=<opțiune>=<valoare>
    Suprascrie o opțiune de configurare din fișierul de configurare. Pentru a înlocui opțiunile de configurare pentru depozite, utilizați repoid.option pentru <opțiune>. Valorile pentru opțiunile de configurare precum excludepkgs, includepkgs, installonlypkgs și tsflags sunt adăugate la valoarea originală, nu o înlocuiesc. Cu toate acestea, specificarea unei valori goale (de exemplu, --setopt=tsflags=) va anula opțiunea.

--skip-broken
    Rezolvă problemele de soluționare a dependențelor prin eliminarea pachetelor care cauzează probleme din tranzacție. Este un alias pentru opțiunea de configurare strict cu valoarea False. În plus, cu ajutorul subomenzilor de modul enable și disable, permite efectuarea unei acțiuni chiar și în cazul unor dependențe modulare întrerupte.

--showduplicates
    Afișează pachetele duplicate în depozite. Aplicabilă pentru comenzile «list» și «search».

--transient
    Se aplică numai sistemelor bootc („bootable containers” - containere apte de-a fi pornite). Efectuează tranzacții utilizând o suprapunere tranzitorie care va fi pierdută la următoarea repornire. Consultați și opțiunea de configurare persistence.

-v, --verbose
    Operare detaliată, afișează mesaje de depanare.

--version
    Afișează versiunea DNF și iese.

-y, --assumeyes
    Răspunde automat afirmativ la toate întrebările.

    Opțiunile din listă sunt separate prin virgule. Opțiunile din linia de comandă prevalează asupra valorilor respective din fișierele de configurare.

COMENZI

Pentru o explicație a <specificație-pachet>, <spec-fișier-pachet> și <spec-nume-pachet> a se vedea Specificarea pachetelor.

Pentru o explicație a <specificație-furnizare> a se vedea Specificarea furnizărilor.

Pentru o explicație a <specificație-grup> a se vedea Specificarea grupurilor.

Pentru o explicație a <specificație-modul> a se vedea Specificarea modulelor.

Pentru o explicație a <spec-tranzacție> a se vedea Specificarea tranzacțiilor.

  Comanda «alias»
Comanda: alias

Permite utilizatorului să definească și să gestioneze o listă de aliasuri (sub forma <nume=valoare>), care pot fi apoi utilizate drept comenzi dnf pentru a abrevia secvențe de comandă mai lungi. Pentru exemple de utilizare a comenzii alias, consultați Exemple «alias». Pentru exemple privind procesarea alias-urilor, consultați Exemple de procesare a numelor-alias.

Pentru a utiliza un alias (nume=valoare), numele trebuie să fie plasat ca prima „comandă” (de exemplu, primul argument care nu este o opțiune). Acesta este apoi înlocuit cu valoarea sa, iar secvența rezultată este din nou căutată pentru nume-alias. Procesarea numelor-alias se oprește atunci când prima comandă găsită nu este un nume al vreunui alias.

În cazul în care procesarea ar duce la o recursiune infinită, sunt utilizate în schimb argumentele originale.

De asemenea, la fel ca în cazul pseudonimelor(nume-alias) shell, dacă rezultatul începe cu un \, procesarea pseudonimului se va opri.

Toate pseudonimele sunt definite în fișierele de configurare din directorul /etc/dnf/aliases.d/ în secțiunea [aliases], iar pseudonimele create prin comanda «alias» sunt scrise în fișierul USER.conf. În caz de conflict, fișierul USER.conf are cea mai mare prioritate, iar pentru restul fișierelor de configurare se utilizează ordinea alfabetică.

Opțional, există opțiunea enabled în secțiunea [main] care are valoarea implicită True. Aceasta poate fi definită pentru fiecare fișier în parte în fișierul respectiv sau global pentru toate pseudonimele în fișierul ALIASES.conf.

dnf alias [opțiuni] [listă] [<nume>...] Listează numele-aliasr cu rezultatul lor final. Parametrul [<alias>...] limitează și mai mult rezultatul doar la acele nume-alias care corespund acestuia.

dnf alias [opțiuni] add <nume=valoare>... Creează nume-alias noi.

dnf alias [opțiuni] delete <nume>... Șterge alias.

  Exemple pentru comanda «alias»

dnf alias list
    Listează toate numele-alias definite.

dnf alias add rm=remove
    Adaugă o nouă comandă alias numită rm care funcționează la fel ca și comanda remove.

dnf alias add upgrade="\upgrade --skip-broken --disableexcludes=all --obsoletes"
    Adaugă un nou alias de comandă numit upgrade care funcționează la fel precum comanda upgrade, cu opțiuni suplimentare. Rețineți că comanda originală upgrade este prefixată cu un \ pentru a preveni o buclă infinită în procesarea numelor-alias.

  Exemple de procesare a numelor-alias

Dacă există nume-alias definite in=install și FORCE="--skip-broken --disableexcludes=all":

•   dnf FORCE in va fi înlocuit cu dnf --skip-broken --disableexcludes=all install

•   dnf in FORCE va fi înlocuit cu dnf install FORCE (care va eșua)

    Dacă este definit pseudonimul in=install:

•   dnf in va fi înlocuit cu dnf install

•   dnf --repo updates in va fi înlocuit cu dnf --repo updates in (care va eșua)

  Comanda «autoremove»
Comanda: autoremove
Alias pentru potrivirea NEVRA explicită: autoremove-n, autoremove-na, autoremove-nevra

dnf [opțiuni] autoremove Elimină din sistem toate pachetele care au fost instalate inițial ca dependențe ale pachetelor instalate de utilizator, dar care nu mai sunt solicitate de niciun astfel de pachet.

dnf [opțiuni] autoremove <spec>... Acesta este un alias pentruComanda «remove» cu „clean_requirements_on_remove” definită la True. Aceasta elimină pachetele specificate din sistem împreună cu orice pachete care depind de pachetele care sunt eliminate. Fiecare <specificație> poate fi fie o <specificație-pachet>, care specifică direct un pachet, fie un @<specificație-grup>, care specifică un grup (de mediu) care îl conține. De asemenea, elimină orice dependențe care nu mai sunt necesare.

Există, de asemenea, câteva comenzi „autoremove” specifice autoremove-n, autoremove-na și autoremove-nevra care permit specificarea unui argument exact în formatul NEVRA (name-epoch:version-release.architecture).

În mod implicit, această comandă nu forțează o sincronizare a metadatelor expirate. Consultați și Sincronizarea metadatelor.

  Comanda «check»
Comanda: check

dnf [options] check [--dependencies] [--duplicates] [--obsoleted] [--provides] Verifică „packagedb local” (baza de date a pachetelor locală) și produce informații cu privire la orice probleme pe care le găsește. Puteți limita verificările care urmează să fie efectuate utilizând opțiunile --dependencies, --duplicates, --obsoleted și --provides (opțiunea implicită este de a verifica totul).

  Comanda «check-update»
Comanda: check-update
Alias: check-upgrade

dnf [opțiuni] check-update [--changelogs] [<spec-fișier-pachet>...]
    Verifică non-interactiv dacă sunt disponibile actualizări ale pachetelor specificate. Dacă nu este dat <package-file-spec>, verifică dacă sunt disponibile actualizări pentru sistemul dumneavoastră. Codul de ieșire DNF va fi 100 dacă există actualizări disponibile și va fi afișată o listă a actualizărilor, 0 dacă nu există și 1 dacă apare o eroare. Dacă este specificată opțiunea --changelogs, este afișat și jurnalul de modificări al pachetelor care urmează să fie actualizate.

    Vă rugăm să rețineți că existența unei versiuni specifice mai noi disponibile pentru un pachet instalat (și raportată de check-update) nu implică faptul că dnf upgrade o va instala ulterior. Diferența constă în faptul că dnf upgrade trebuie să ia în considerare restricțiile (cum ar fi îndeplinirea dependențelor de pachete).

    Rezultatul este afectat de opțiunea de configurare autocheck_running_kernel.

  Comanda «clean»
Comanda: clean

Efectuează curățarea fișierelor temporare păstrate pentru depozite. Aceasta include orice astfel de date rămase din depozitele dezactivate sau eliminate, precum și pentru diferite versiuni ale distribuției.

dnf clean dbcache
    Elimină fișierele cache generate din metadatele depozitului. Acest lucru forțează DNF să regenereze fișierele cache la următoarea execuție.

dnf clean expire-cache
    Marchează metadatele depozitului ca fiind expirate. DNF va revalida memoria cache pentru fiecare depozit la următoarea utilizare a acestuia.

dnf clean metadata
    Elimină metadatele de depozit. Acestea sunt fișierele pe care DNF le utilizează pentru a determina disponibilitatea la distanță a pachetelor. Utilizarea acestei opțiuni va face ca DNF să descarce toate metadatele data viitoare când este rulat.

dnf clean packages
    Elimină din sistem orice pachet aflat în cache.

dnf clean all
    Face toate cele de mai sus.

  Comanda «deplist»

dnf [opțiuni] deplist [<opțiuni-selecție>] [<opțiuni-interogare>] [<specificație-pachet>]
    Alias depreciat pentru dnf repoquery --deplist&.

  Comanda «distro-sync»
Comanda: distro-sync
Alias: dsync
Alias depreciate: distrosync, distribution-synchronization

dnf distro-sync [<specificatie-pachet>...]
    După cum este necesar, actualizează, retrogradează sau păstrează pachetele instalate selectate pentru a corespunde celei mai recente versiuni disponibile din orice depozit activat. Dacă nu este furnizat niciun pachet, sunt luate în considerare toate pachetele instalate.

    A se vedea, de asemenea, Politica de înlocuire a fișierelor de configurare.

  Comanda «downgrade»
Comanda: downgrade
Alias: dg

dnf [opțiuni] downgrade <specificație-pachet>...
    Retrogradează pachetele specificate la versiunea cea mai mare a pachetului instalabilă din toate versiunile inferioare cunoscute, dacă este posibil. În cazul în care versiunea este dată și este mai mică decât versiunea pachetului instalat, se trece la versiunea țintă.

  Comanda «group»
Comanda: group
Alias: grp
Alias depreciate: groups, grouplist, groupinstall, groupupdate, groupremove, grouperase, groupinfo

Grupurile sunt colecții virtuale de pachete. DNF ține evidența grupurilor pe care utilizatorul le-a selectat („marcat”) instalate și poate manipula pachetele componente cu ajutorul unor comenzi simple.

dnf [opțiuni] group [sumar] <specificație-grup>
    Afișează o prezentare generală a numărului de grupuri instalate și disponibile. Cu o specificație, limitează rezultatul la grupurile corespunzătoare. summary este subcomanda implicită pentru grupuri.

dnf [opțiuni] group info <specificație-grup>
    Afișează listele de pachete ale unui grup. Arată ce pachete sunt instalate sau disponibile dintr-un depozit atunci când se utilizează -v.

dnf [opțiuni] group install [--with-optional] <specificație-grup>...
    Marchează grupul specificat ca fiind instalat și instalează pachetele pe care le conține. Include și pachetele opționale ale grupului dacă este specificată opțiunea --with-optional. Toate pachetele Mandatory și Default vor fi instalate ori de câte ori este posibil. Pachetele condiționale sunt instalate dacă îndeplinesc cerința acestora. Dacă grupul este deja instalat (parțial), comanda instalează pachetele lipsă din grup. În funcție de valoarea opțiunii de configurare obsoletes, instalarea grupului ia în considerare pachetele obsolete.

dnf [opțiuni] group list <specificație-grup>...
    Listează toate grupurile corespunzătoare, fie dintre grupurile instalate, fie dintre cele disponibile. Dacă nu se specifică nimic, se listează toate grupurile cunoscute. Opțiunile --installed și --available restrâng lista solicitată. Înregistrările sunt ordonate de eticheta display_order definită în fișierul comps.xml. Oferă o listă a tuturor grupurilor ascunse prin utilizarea opțiunii --hidden. Furnizează ID-urile grupurilor atunci când sunt utilizate opțiunile -v sau --ids.

dnf [opțiuni] group remove <specificație-grup>...
    Marchează grupul eliminat și elimină din sistem acele pachete din grup care nu aparțin altui grup instalat și care nu au fost instalate explicit de către utilizator.

dnf [opțiuni] group upgrade <specificație-grup>...
    Actualizează pachetele din grup și actualizează grupul însuși. Aceasta din urmă cuprinde instalarea pachetelor care au fost adăugate la grup prin distribuție și eliminarea pachetelor care au fost eliminate din grup în măsura în care nu au fost instalate explicit de către utilizator.

    De asemenea, grupurile pot fi marcate ca fiind instalate sau eliminate fără a manipula fizic niciun pachet:

dnf [opțiuni] group mark install <specificație-grup>...
    Marchează grupul specificat ca fiind instalat. Niciun pachet nu va fi instalat prin această comandă, dar grupul este considerat instalat.

dnf [opțiuni] group mark remove <specificație-grup>...
    Marchează grupul specificat ca fiind eliminat. Niciun pachet nu va fi eliminat prin această comandă.

    A se vedea, de asemenea, Politica de înlocuire a fișierelor de configurare.

  Comanda «help»
Comanda: help

dnf help [<comandă>]
    Afișează textul de ajutor pentru toate comenzile. Dacă se dă un nume de comandă, se afișează numai ajutorul pentru comanda respectivă.

  Comanda «history»
Comanda: history
Alias: hist

Comanda de istoric permite utilizatorului să vadă ce s-a întâmplat în tranzacțiile anterioare și să acționeze în funcție de aceste informații (presupunând că opțiunea de configurare history_record este activată).

dnf history [listă] [--reverse] [<specificație>...]
    Acțiunea implicită a comenzii «history» este listarea informațiilor despre anumite tranzacții într-un tabel. Fiecare <spec> poate fi fie o <spec-tranzacție>, care specifică direct o tranzacție, fie o <spec-tranzacție>..<spec-tranzacție>, care specifică un interval de tranzacții, fie o <spec-nume-pachet>, care specifică o tranzacție prin intermediul unui pachet pe care l-a manipulat. Atunci când nu este specificată nicio tranzacție, listează toate tranzacțiile cunoscute.

    Rețineți că tranzacțiile tranzitorii (a se vedea --transient) vor fi listate chiar dacă nu efectuează modificări persistente ale fișierelor din /usr sau ale bazei de date RPM.

    Coloana „Action(s) - (Acțiuni)” enumeră fiecare tip de acțiune întreprinsă în cadrul tranzacției. Valorile posibile sunt:

•   Instalare (I): un nou pachet a fost instalat în sistem

•   Retrogradare (D): o versiune mai veche a unui pachet înlocuiește versiunea instalată anterior

•   Obsolet (O): un pachet învechit a fost înlocuit de un pachet nou

•   Actualizare (U): o versiune mai nouă a pachetului înlocuiește versiunea instalată anterior

•   Eliminare (E): un pachet a fost eliminat din sistem

•   Reinstalare (R): un pachet a fost reinstalat cu aceeași versiune

•   Schimbare motiv (C): un pachet a fost păstrat în sistem, dar motivul pentru care a fost instalat s-a schimbat

    Coloana „Altered - (Modificat)” enumeră numărul de acțiuni întreprinse în cadrul fiecărei tranzacții, urmate eventual de unul sau două dintre următoarele simboluri:

•   >: Baza de date RPM a fost modificată, în afara DNF, după tranzacție

•   <: Baza de date RPM a fost modificată, în afara DNF, înainte de tranzacție

•   *: Tranzacția a fost întreruptă înainte de finalizare

•   nr.: Tranzacția s-a încheiat, dar cu o stare diferită de zero

•   E: E: Tranzacția a fost finalizată cu succes, dar a avut o ieșire de avertizare/eroare

--reverse
    Ordinea ieșirii comenzii history list este afișată în ordine inversă.

dnf history info [<spec>...]
    Descrie tranzacțiile date. Semnificația lui <spec> este aceeași ca în Comanda «history list»). Atunci când nu este specificată nicio tranzacție, descrie ceea ce s-a întâmplat în timpul ultimei tranzacții.

dnf history redo <spec-tranzacție>|<spec-fișier-pachet>
    Repetă tranzacția specificată. Utilizează ultima tranzacție (cu ID-ul cel mai mare) dacă se găsesc mai multe tranzacții pentru <spec-fișier-pachet> dat. Dacă nu este posibilă refacerea unor operații din cauza stării actuale a RPMDB, nu se va reface tranzacția.

dnf history replay [--ignore-installed] [--ignore-extras] [--skip-unavailable] <nume-fișier>
    Reia o tranzacție stocată în fișierul <filename> prin Comanda «history store». Reluarea va efectua exact aceleași operații asupra pachetelor ca în tranzacția originală și va returna o eroare în cazul în care există diferențe în pachetele instalate sau în versiunile acestora. A se vedea, de asemenea, Specificația privind formatul JSON al tranzacțiilor stocate a formatului de fișier.

--ignore-installed
    Nu verifică dacă pachetele instalate sunt în aceeași stare ca cele înregistrate în tranzacție. De exemplu, în cazul în care există o actualizare foo-1.0 -> foo-2.0 înregistrată în tranzacție, dar există foo-1.1 instalat în sistemul țintă.

--ignore-extras
    Nu verifică pachetele suplimentare introduse în tranzacție în sistemul țintă. De exemplu, sistemul țintă poate să nu aibă anumite dependențe care au fost instalate în sistemul sursă. În mod implicit, reluarea nu permite acest lucru, deoarece tranzacția nu ar fi aceeași.

--skip-unavailable
    În cazul în care unele pachete stocate în tranzacție nu sunt disponibile pe sistemul țintă, le omite în loc să genereze erori.

dnf history rollback <spec-tranzacție>|<spec-fișier-pachet>
    Anulează toate tranzacțiile efectuate după tranzacția specificată. Utilizează ultima tranzacție (cu ID-ul cel mai mare) dacă se găsesc mai multe tranzacții pentru un anumit <spec-fișier-pachet>. Dacă nu este posibilă anularea unor tranzacții din cauza stării actuale a RPMDB, nu va anula nicio tranzacție.

dnf history store [--output <fișier-ieșire>] <spec-tranzacție>
    Stochează o tranzacție specificată de <spec-tranzacție>. Tranzacția poate fi reluată ulterior prin Comanda de reluare a istoriei «history reload».

    Avertisment: Formatul tranzacției stocate este considerat instabil și se poate schimba în orice moment. Acesta va funcționa dacă se utilizează aceeași versiune de dnf pentru stocare și reluare (sau între versiuni, atâta timp cât rămâne același).

    -o <fișier-ieșire>, --output=<fișier-ieșire> Stochează tranzacția serializată în <fișier-ieșire. Valoarea implicită este transaction.json.

dnf history undo <spec-tranzacție>|<spec-fișier-pachet>
    Efectuează operația opusă tuturor operațiilor efectuate în tranzacția specificată. Utilizează ultima tranzacție (cu ID-ul cel mai mare) dacă se găsesc mai multe tranzacții pentru un anumit <spec-fișier-pachet>. Dacă nu este posibilă anularea unor operații din cauza stării curente a RPMDB, nu va anula tranzacția.

dnf history userinstalled
    Afișează toate pachetele instalate de utilizator, instalate de un grup sau de un profil de modul și pachetele instalate în afara DNF. Adică enumeră pachetele care vor rămâne în sistem atunci când se execută Comanda «autoremove» sau Comanda «remove» împreună cu opțiunea de configurare clean_requirements_on_remove definită la „True”. Rețineți că aceleași rezultate pot fi obținute cu dnf repoquery --userinstalled, iar comanda «repoquery» este mai performantă în ceea ce privește formatarea rezultatelor.

    În mod implicit, această comandă nu forțează o sincronizare a metadatelor expirate, cu excepția subomenzilor redo, rollback și undo. Consultați și Sincronizarea metadatelor și Politica de înlocuire a fișierelor de configurare.

  Comanda «info»
Comanda: info
Alias: if

dnf [opțiuni] info [<spec-fișier-pachet>...]
    Listează descrierea și informațiile sumare despre pachetele instalate și disponibile.

    Comanda info limitează pachetele afișate în același mod ca și comanda list.

    În mod implicit, această comandă nu forțează o sincronizare a metadatelor expirate. Consultați și Sincronizarea metadatelor.

  Comanda «install»
Comanda: install
Alias: in
Alias pentru potrivirea NEVRA explicită: install-n, install-na, install-nevra
Alias depreciat: localinstall

dnf [opțiuni] install <spec>...
    Se asigură că pachetele date și dependențele lor sunt instalate în sistem. Fiecare <specificație> poate fi fie un <specificație-pachet>, fie un @<specificație-modul>, fie un @<specificație-grup>. Consultați Exemple comanda «install». Dacă un anumit pachet sau furnizare nu poate fi (și nu este deja) instalat, codul de ieșire va fi diferit de zero. Dacă <specificație> corespunde atât unei @<specificație-modul> cât și unei @<specificație-grup>, se instalează numai modulul.

    Atunci când se indică <specificație-pachet> pentru a specifica versiunea exactă a pachetului, DNF va instala versiunea dorită, indiferent de versiunea pachetului care este deja instalată. Versiunea anterioară a pachetului va fi eliminată în cazul pachetului care nu se instalează.

    Pe de altă parte, dacă <specificație-pachet> specifică doar un nume, DNF ia în considerare și pachetele care îl învechesc atunci când alege ce pachet să instaleze. Acest comportament este specific comenzii «install». Rețineți că acest lucru poate duce la rezultate aparent neașteptate dacă un pachet are mai multe versiuni și o versiune mai veche este învechită. Se creează o diviziune în calea de actualizare și ambele căi sunt considerate corecte, pachetul rezultat fiind ales pur și simplu prin ordine lexicografică.

    Există, de asemenea, câteva comenzi specifice de instalare install-n, install-na și install-nevra care permit specificarea unui argument exact în format NEVRA. În consecință, <spec> nu se va potrivi cu furnizările și furnizările de fișiere.

    A se vedea, de asemenea, Politica de înlocuire a fișierelor de configurare.

  Exemple pentru comanda «install»

dnf install tito
    Instalează pachetul tito (tito este numele pachetului).

dnf install ~/Descărcări/tito-0.6.2-1.fc22.noarch.rpm
    Instalează un fișier rpm local tito-0.6.2-1.fc22.noarch.rpm din directorul ~/Descărcări/.

dnf install tito-0.5.6-1.fc22
    Instalează pachetul cu o versiune specifică. Dacă pachetul este deja instalat, acesta va încerca în mod automat să facă retrogradarea sau actualizarea la versiunea specifică.

dnf --best install tito
    Instalează cea mai recentă versiune disponibilă a pachetului. Dacă pachetul este deja instalat, acesta va încerca să se actualizeze automat la cea mai recentă versiune. Dacă cea mai recentă versiune a pachetului nu poate fi instalată, instalarea va eșua.

dnf install vim
    DNF va recunoaște automat că vim nu este un nume de pachet, dar va căuta și instala un pachet care furnizează vim cu toate dependențele necesare. Notă: Potrivirea numelui pachetului are întâietate față de potrivirea pachetului furnizează.

dnf install https://kojipkgs.fedoraproject.org//packages/tito/0.6.0/1.fc22/noarch/tito-0.6.0-1.fc22.noarch.rpm
    Instalează un pachet direct de la o adresă URL.

dnf install '@docker'
    Instalează toate profilurile implicite ale modulului „docker” și RPM-urile aferente. Fluxurile modulului sunt activate în consecință.

dnf install '@Web Server'
    Instalează grupul de mediu 'Web Server'.

dnf install /usr/bin/rpmsign
    Instalează un pachet care furnizează fișierul „/usr/bin/rpmsign”.

dnf -y install tito --setopt=install_weak_deps=False
    Instalează pachetul tito (tito este numele pachetului) fără dependețele slabe. Dependențele slabe nu sunt necesare pentru funcționalitatea de bază a pachetului, dar îmbunătățesc pachetul original (cum ar fi documentația extinsă, modulele plugin, funcțiile suplimentare etc.).

dnf install --advisory=FEDORA-2018-b7b99fe852 \*
    Instalează toate pachetele care aparțin avizului „FEDORA-2018-b7b99fe852”.

  Comanda «list»
Comanda: list
Alias: ls

Tipărește liste de pachete în funcție de relația pachetelor cu sistemul. Un pachet este installed (instalat) dacă este prezent în RPMDB și este available (disponibil) dacă nu este instalat, dar este prezent într-un depozit despre care DNF știe.

Comanda «list» limitează, de asemenea, pachetele afișate în funcție de criterii specifice, de exemplu numai la cele care actualizează un pachet instalat (respectând priority (proritatea) depozitului). Opțiunea exclude din fișierul de configurare poate influența rezultatul, dar dacă se utilizează opțiunea de linie de comandă --disableexcludes, se asigură că toate pachetele instalate vor fi listate.

dnf [opțiuni] list [--all] [<spec-fișier-pachet>...]
    Listează toate pachetele, prezente în RPMDB, într-un depozit sau în ambele.

dnf [opțiuni] list --installed [<spec-fișier-pachet>...]
    Listează pachetele instalate.

dnf [opțiuni] list --available [<spec-fișier-pachet>...]
    Listează pachetele disponibile.

dnf [opțiuni] list --extras [<spec-fișier-pachet>...]
    Listează pachetele extra, adică pachetele instalate în sistem care nu sunt disponibile în niciun depozit cunoscut.

dnf [opțiuni] list --obsoletes [<spec-fișier-pachet>...]
    Listează pachetele instalate în sistem care sunt făcute obsolete, învechite de pachetele din orice depozit cunoscut.

dnf [opțiuni] list --recent [<spec-fișier-pachet>...]
    Listează pachetele adăugate recent în depozite.

dnf [opțiuni] list --upgrades [<spec-fișier-pachet>...]
    Listează actualizările disponibile pentru pachetele instalate.

dnf [opțiuni] list --autoremove
    Listează pachetele care vor fi eliminate de comanda dnf autoremove.

    În mod implicit, această comandă nu forțează o sincronizare a metadatelor expirate. Consultați și Sincronizarea metadatelor.

  Comanda «makecache»
Comanda: makecache
Alias: mc

dnf [opțiuni] makecache
    Descarcă și stochează în cache metadatele pentru depozitele activate. Încearcă să evite descărcarea ori de câte ori este posibil (de exemplu, atunci când metadatele locale nu au expirat încă sau când marca temporală a metadatelor nu s-a schimbat).

dnf [opțiuni] makecache --timer
    Ca și makecache simplu, dar instruiește DNF să fie mai conștient de resurse, ceea ce înseamnă că nu va face nimic dacă rulează pe baterie, se va termina imediat dacă se termină prea repede după ultima rulare makecache reușită (a se vedea dnf.conf(5), metadata_timer_sync) și dacă prima oglindă dintr-o listă de oglinzi a unui depozit eșuează, nu va încerca să sincronizeze metadatele din mai multe oglinzi pentru acel depozit.

  Comanda «mark»
Comanda: mark

dnf mark install <specificație-pachet>...
    Marchează pachetele specificate ca fiind instalate de utilizator. Acest lucru poate fi util dacă un pachet a fost instalat ca o dependență și se dorește să rămână în sistem atunci când se execută Comanda «autoremove» sau Comanda «remove» împreună cu opțiunea de configurare clean_requirements_on_remove stabilită la True.

dnf mark remove <specificație-pachet>...
    Anulează marcarea pachetelor specificate ca fiind instalate de utilizator. Ori de câte ori, în calitate de utilizator, nu aveți nevoie de un anumit pachet, îl puteți marca pentru eliminare. Pachetul rămâne instalat în sistem, dar va fi eliminat atunci când se execută Comanda «autoremove» sau Comanda «remove» împreună cu opțiunea de configurare clean_requirements_on_remove stabilită la True. Ar trebui să utilizați această operație în loc de Comanda «remove» dacă nu sunteți sigur dacă pachetul este o cerință a altor pachete instalate de utilizator pe sistem.

dnf mark group <specificație-pachet>...
    Marchează pachetele specificate ca fiind instalate de grup. Acest lucru poate fi util dacă un pachet a fost instalat ca dependență sau ca utilizator și se dorește să fie protejat și gestionat ca membru al unui grup, cum ar fi în timpul eliminării grupului.

  Comanda «module»
Comanda: module

Prezentarea generală a modularității este disponibilă în pagina de manual dnf.modularity(7). Subcomenzile modulelor iau <specificație-modul>... argumente care specifică module sau profiluri.

dnf [opțiuni] module install <specificație-modul>...
    Instalează profilurile modulelor, inclusiv pachetele acestora. În cazul în care nu a fost furnizat niciun profil, se instalează toate profilurile implicite. Fluxurile de module sunt activate în consecință.

    Această comandă nu poate fi utilizată pentru comutarea fluxurilor de module. Pentru aceasta, utilizați comanda dnf module switch-to.

dnf [opțiuni] module update <specificație-modul>...
    Actualizează pachetele asociate cu un flux de module activ, restricționat opțional la un profil. Dacă se furnizează nume-profil, vor fi actualizate numai pachetele la care face referire profilul respectiv.

dnf [opțiuni] module switch-to <specificație-modul>...
    Trece la sau activează un flux de module, schimbă versiunile pachetelor instalate cu versiunile furnizate de noul flux și elimină pachetele din fluxul vechi care nu mai sunt disponibile. De asemenea, actualizează profilurile instalate dacă acestea sunt disponibile pentru noul flux. Atunci când a fost furnizat un profil, se instalează profilul respectiv și nu se actualizează profilurile deja instalate.

    Această comandă poate fi utilizată ca o versiune mai eficientă a comenzii dnf module enable, care nu numai că activează modulele, dar face și o distrosync pentru toate pachetele modulare din modulele activate.

    Aceasta poate fi utilizată și ca o versiune mai avansată a comenzii dnf module install, dar necesită specificarea profilurilor care ar trebui să fie instalate, deoarece comanda switch-to nu utilizează default profiles. Comanda switch-to nu instalează numai profiluri, ci face și o distrosync pentru toate pachetele modulare din modulul instalat.

dnf [opțiuni] module remove <specificație-modul>...
    Elimină profilurile modulelor instalate, inclusiv pachetele care au fost instalate cu comanda dnf module install. Nu va elimina pachetele solicitate de alte profiluri de module instalate sau de alte pachete instalate de utilizator. În cazul în care nu a fost furnizat niciun profil, toate profilurile instalate vor fi eliminate.

dnf [opțiuni] module remove --all <specificație-modul>...
    Elimină profilurile modulelor instalate, inclusiv pachetele care au fost instalate cu comanda dnf module install. Cu opțiunea „--all” se elimină în plus toate pachetele ale căror nume sunt furnizate de modulele specificate. Pachetele solicitate de alte profiluri de module instalate și pachetele ale căror nume sunt furnizate și de orice alt modul nu sunt eliminate.

dnf [opțiuni] module enable <specificație-modul>...
    Activează un flux de module și face RPM-urile fluxului disponibile în setul de pachete.

    Dependențele modulare sunt rezolvate, dependențele verificate și, de asemenea, activate recursiv. În cazul unei probleme legate de dependențele modulare, operațiunea va fi respinsă. Pentru a efectua acțiunea oricum, vă rugăm să utilizați opțiunea --skip-broken.

    Această comandă nu poate fi utilizată pentru comutarea fluxurilor de module. Pentru aceasta, utilizați comanda dnf module switch-to.

dnf [opțiuni] module disable <nume-modul>...
    Dezactivează un modul. Toate fluxurile de module aferente vor deveni indisponibile. În consecință, toate profilurile instalate vor fi eliminate, iar RPM-urile modulului vor deveni indisponibile în setul de pachete. În cazul unei probleme legate de dependențele modulare, operațiunea va fi respinsă. Pentru a efectua acțiunea oricum, vă rugăm să utilizați opțiunea --skip-broken.

dnf [opțiuni] module reset <nume-modul>...
    Reinițiază starea modulului astfel încât acesta să nu mai fie activat sau dezactivat. În consecință, toate profilurile instalate vor fi eliminate și doar RPM-urile din fluxul implicit vor fi disponibile în setul de pachete.

dnf [opțiuni] module provides <spec-nume-pachet>...
    Listează toate pachetele modulare care corespund <spec-nume-pachet> din toate modulele (inclusiv cele dezactivate), împreună cu modulele și fluxurile cărora le aparțin.

dnf [opțiuni] module list [--all] [nume-modul...]
    Listează toate fluxurile modulului, profilurile și stările acestora (activat, dezactivat, implicit).

dnf [opțiuni] module list --enabled [nume-modul...]
    Listează fluxurile de module care sunt activate.

dnf [opțiuni] module list --disabled [nume-modul...]
    Listează fluxurile de module care sunt dezactivate.

dnf [opțiuni] module list --installed [nume-modul...]
    Listează fluxurile de module cu profilele instalate.

dnf [opțiuni] module info <specificație-modul>...
    Afișează informații detaliate despre fluxul modulului dat.

dnf [opțiuni] module info --profile <specificație-modul>...
    Afișează informații detaliate despre profilurile modulelor date.

dnf [opțiuni] module repoquery <specificație-modul>...
    Listează toate pachetele disponibile care aparțin modulelor selectate.

dnf [opțiuni] module repoquery --available <specificație-modul>...
    Listează toate pachetele disponibile care aparțin modulelor selectate.

dnf [opțiuni] module repoquery --installed <specificație-modul>...
    Listează toate pachetele instalate cu același nume ca și pachetele care aparțin modulelor selectate.

  Comanda «provides»
Comanda: provides
Alias: prov, whatprovides, wp

dnf [opțiuni] provides <specificație-furnizare>
    Găsește pachetele care furnizează <specificație-furnizare> dat. Acest lucru este util atunci când se cunoaște un nume de fișier și se dorește să se găsească ce pachet (instalat sau nu) furnizează acest fișier. <specificație-furnizare> este căutat treptat în următoarele locații:

1.  <specificație-furnizare> se potrivește cu toate furnizările de fișiere ale oricărui pachet disponibil:

        $ dnf provides /usr/bin/gzip
        gzip-1.9-9.fc29.x86_64 : The GNU data compression program
        Matched from:
        Filename    : /usr/bin/gzip

2.  Apoi sunt căutate toate furnizările ale tuturor pachetelor disponibile:

        $ dnf provides "gzip(x86-64)"
        gzip-1.9-9.fc29.x86_64 : The GNU data compression program
        Matched from:
        Provide     : gzip(x86-64) = 1.9-9.fc29

3.  DNF presupune că <provide-spec> (specificație-furnizare) este o comandă de sistem, o antepune cu prefixele /usr/bin/, /usr/sbin/ (unul câte unul) și face din nou căutarea de fișiere furnizează. Din motive moștenite (pachete care nu au făcut UsrMove) sunt căutate și prefixele /bin și /sbin:

        $ dnf provides zless
        gzip-1.9-9.fc29.x86_64 : The GNU data compression program
        Matched from:
        Filename    : /usr/bin/zless

4.  Dacă și acest ultim pas eșuează, DNF returnează „Eroare: Nu s-au găsit potriviri”.

    În mod implicit, această comandă nu forțează o sincronizare a metadatelor expirate. Consultați și Sincronizarea metadatelor.

  Comanda «reinstall»
Comanda: reinstall
Alias: rei

dnf [opțiuni] reinstall <specificație-pachet>...
    Instalează pachetele specificate, eșuează dacă unele dintre pachete nu sunt instalate sau nu sunt disponibile (adică nu există un depozit de unde să se descarce același RPM).

  Comanda «remove»
Comanda: remove
Alias: rm
Alias pentru potrivirea NEVRA explicită: remove-n, remove-na, remove-nevra
Alias depreciate: erase, erase-n, erase-na, erase-nevra

dnf [opțiuni] remove <specificație-pachet>...
    Elimină pachetele specificate din sistem împreună cu orice pachete care depind de pachetele eliminate. Fiecare <specificație> poate fi fie un <specificație-pachet>, care specifică direct un pachet, fie un @<specificație-grup>, care specifică un grup (de mediu) care îl conține. Dacă clean_requirements_on_remove este activată (implicit), elimină și dependențele care nu mai sunt necesare.

dnf [opțiuni] remove --duplicates
    Elimină versiunile mai vechi ale pachetelor duplicate. Pentru a asigura integritatea sistemului, se reinstalează cel mai nou pachet. În unele cazuri, comanda nu poate rezolva conflictele. În astfel de cazuri, comanda dnf shell cu subcomanda remove --duplicates și upgrade dnf-shell ar putea fi de ajutor.

dnf [opțiuni] remove --oldinstallonly
    Elimină vechile pachete cu instalare exclusivă, păstrând doar cele mai recente versiuni și versiunea nucleului care rulează.

    Există, de asemenea, câteva comenzi specifice de eliminare remove-n, remove-na și remove-nevra care permit specificarea unui argument exact în format NEVRA. În consecință, <spec> nu se va potrivi cu furnizările și furnizările de fișiere.

  Exemple pentru comanda «remove»

dnf remove acpi tito
    Elimină pachetele acpi și tito.

dnf remove $(dnf repoquery --extras --exclude=tito,acpi)
    Elimină pachetele care nu sunt prezente în niciun depozit, dar nu elimină pachetele tito și acpi (acestea ar putea fi eliminate dacă depind de unele dintre pachetele eliminate).

dnf remove --duplicates
    Elimină versiunile mai vechi ale pachetelor duplicate (un echivalent al package-cleanup --cleandups din yum).

  Comanda «repoinfo»
Comanda: repoinfo

Un alias pentru comanda repolist care oferă informații mai detaliate precum dnf repolist -v.

  Comanda «repolist»
Comanda: repolist

dnf [opțiuni] repolist [--enabled|--disabled|--all]
    În funcție de comanda exactă, listează depozitele activate, dezactivate sau toate depozitele cunoscute. În mod implicit, listează toate depozitele activate. Oferă informații mai detaliate atunci când este utilizată opțiunea -v.

    În mod implicit, această comandă nu forțează o sincronizare a metadatelor expirate. Consultați și Sincronizarea metadatelor.

  Comanda «repoquery»
Comanda: repoquery
Alias: rq
Alias pentru potrivirea NEVRA explicită: repoquery-n, repoquery-na, repoquery-nevra

dnf [opțiuni] repoquery [<opțiuni-selectare>] [<opțiuni-interogare>] [<spec-fișier-pachet>]
    Caută depozitele DNF disponibile pentru pachetele selectate și afișează informațiile solicitate despre acestea. Este un echivalent al rpm -q pentru depozitele de la distanță.

dnf [opțiuni] repoquery --groupmember <specificație-pachet>...
    Listează grupurile care conțin <specificație-pachet>.

dnf [opțiuni] repoquery --querytags
    Furnizează lista de etichete recunoscute de opțiunea de interogare a depozitelor --queryformat.

    Există, de asemenea, câteva comenzi specifice ;repoquery repoquery-n, repoquery-na și repoquery-nevra care permit specificarea unui argument exact în format NEVRA (nu afectează argumentele opțiunilor de tipul „--whatprovides <argument>”, ...). În consecință, <specificația> nu se va potrivi cu fișierul furnizează „file provides”.

  Opțiuni selectare

Împreună cu <spec-fișier-pachet>, controlează ce pachete sunt afișate la ieșire. Dacă <spec-fișier-pachet> este dată, limitează setul de pachete rezultat la cele care corespund specificației. Toate pachetele sunt luate în considerare dacă nu este specificată <spec-fișier-pachet>.

<spec-fișier-pachet>
    Specificația pachetului în formatul NEVRA (name[-[epoch:]version[-release]][.arch]) sau un fișier furnizează. A se vedea Specificarea pachetelor.

-a, --all
    Interoghează toate pachetele (pentru compatibilitatea rpmquery, de asemenea o abreviere pentru repoquery '*' sau repoquery fără argumente).

--arch <arhitectura>[,<arhitectura>...], --archlist <arhitectura>[,<arhitectura>...]
    Limitează setul rezultat numai la pachetele din arhitecturile selectate (implicit toate arhitecturile). În unele cazuri, rezultatul este afectat de arhitectura de bază „basearch” a sistemului care rulează, prin urmare, pentru a rula «repoquery» pentru o arhitectură incompatibilă cu sistemul dumneavoastră, utilizați opțiunea --forcearch=<arhitectura> pentru a schimba căutarea de bază.

--duplicates
    Limitează setul rezultat la pachetele duplicate instalate (adică mai multe versiuni de pachete pentru același nume și aceeași arhitectură). Pachetele doar-instalare sunt excluse din acest set.

--unneeded
    Limitează setul rezultat pentru a lăsa pachetele care au fost instalate ca dependențe, astfel încât acestea să nu mai fie necesare. Această opțiune listează pachetele care urmează să fie eliminate după executarea comenzii dnf autoremove.

--available
    Limitează setul rezultat numai la pachetele disponibile (activată în mod implicit).

--disable-modular-filtering
    Dezactivează filtrarea pachetelor modulare, astfel încât pachetele din fluxurile de module inactive sunt incluse în rezultat.

--extras
    Limitează setul rezultat la pachetele care nu sunt prezente în niciunul dintre depozitele disponibile.

-f <fișier>, --file <fișier>
    Limitează setul rezultat numai la pachetul care deține <fișierul>.

--installed
    Limitează setul rezultat doar la pachetele instalate. Opțiunea exclude din fișierul de configurare poate influența rezultatul, dar dacă se utilizează opțiunea din linia de comandă --disableexcludes, se asigură că toate pachetele instalate vor fi listate.

--installonly
    Limitează setul rezultat la pachetele installonly instalate.

--latest-limit <număr>
    Limitează setul rezultat la <număr> de pachete mai recente pentru fiecare nume de pachet și arhitectură. Dacă <numărul> este negativ, se omite <numărul> de pachete mai recente. Pentru un <număr> negativ, utilizați sintaxa --latest-limit=<număr>.

--recent
    Limitează setul rezultat la pachetele care au fost editate recent.

--repo <id-depozit>
    Limitează setul rezultat numai la pachetele dintr-un depozit identificat prin <id-depozit>. Poate fi utilizată de mai multe ori cu efect cumulativ.

--unsatisfied
    Raportează dependențele nesatisfăcute dintre pachetele instalate (de ex. cerințe lipsă și conflicte existente).

--upgrades
    Limitează setul rezultat la pachetele care oferă o actualizare pentru un pachet deja instalat.

--userinstalled
    Limitează setul rezultat la pachetele instalate de utilizator. Opțiunea exclude din fișierul de configurare poate influența rezultatul, dar dacă se utilizează opțiunea din linia de comandă --disableexcludes, se asigură că toate pachetele instalate vor fi listate.

--whatdepends <capacitatea>[,<capacitatea>...]
    Limitați setul rezultat numai la pachetele care necesită, îmbunătățesc, recomandă, sugerează sau completează oricare dintre <capacitățile>.

--whatconflicts <capacitatea>[,<capacitatea>...]
    Limitează setul rezultat numai la pachetele care intră în conflict cu oricare dintre <capacitățile>.

--whatenhances <capacitatea>[,<capacitatea>...]
    Limitează setul rezultat doar la pachetele care îmbunătățesc oricare dintre <capacitățile>. Utilizați --whatdepends dacă doriți să listeze toate pachetele dependente.

--whatobsoletes <capacitatea>[,<capacitatea>...]
    Limitează setul rezultat numai la pachetele care învechesc oricare dintre <capacitățile>.

--whatprovides <capacitatea>[,<capacitatea>...]
    Limitează setul rezultat numai la pachetele care oferă oricare dintre <capacitățile>.

--whatrecommends <capacitatea>[,<capacitatea>...]
    Limitează setul rezultat doar la pachetele care recomandă oricare dintre <capacitățile>. Utilizați --whatdepends dacă doriți să listeze toate pachetele dependente.

--whatrequires <capacitatea>[,<capacitatea>...]
    Limitează setul rezultat doar la pachetele care necesită oricare dintre <capacitățile>. Utilizați --whatdepends dacă doriți să listeze toate pachetele dependente.

--whatsuggests <capacitatea>[,<capacitatea>...]
    Limitează setul rezultat doar la pachetele care sugerează oricare dintre <capacitățile>. Utilizați --whatdepends dacă doriți să listeze toate pachetele dependente.

--whatsupplements <capacitatea>[,<capacitatea>...]
    Limitează setul rezultat doar la pachetele care completează oricare dintre <capacitățile>. Utilizați --whatdepends dacă doriți să listeze toate pachetele dependente.

--alldeps
    Această opțiune este combinabilă numai cu --whatrequires sau --whatdepends. În plus, adaugă toate pachetele care necesită caracteristicile pachetului la setul de rezultate (utilizată ca opțiune implicită).

--exactdeps
    Această opțiune este combinabilă numai cu --whatrequires sau --whatdepends. Limitează setul rezultat numai la pachetele care necesită <capacitatea> specificată prin „--whatrequires”.

--srpm
    Operează pe sursa corespunzătoare RPM.

  Opțiuni de interogare

Stabilește ce informații sunt afișate despre fiecare pachet.

Următoarele opțiuni se exclud reciproc, adică poate fi specificată cel mult una. Dacă nu este furnizată nicio opțiune de interogare, pachetele corespunzătoare sunt afișate în notația NEVRA standard.

-i, --info
    Afișează informații detaliate despre pachet.

-l, --list
    Afișează lista de fișiere din pachet.

-s, --source
    Afișează numele RPM al sursei pachetului.

--changelogs
    Imprimă jurnalele de modificare a pachetelor.

--conflicts
    Afișează capacitățile cu care pachetul intră în conflict. La fel ca --qf "%{conflicts}.

--depends
    Afișează capacitățile de care depinde, îmbunătățește, recomandă, sugerează sau completează pachetul.

--enhances
    Afișează capacitățile îmbunătățite de pachet. La fel ca --qf "%{enhances}"".

--location
    Afișează o locație de unde ar putea fi descărcat pachetul.

--obsoletes
    Afișează capacitățile pe care pachetul le elimină. La fel ca --qf "%{obsoletes}".

--provides
    Afișează capacitățile oferite de pachet. La fel ca --qf "%{provides}".

--recommends
    Afișează capacitățile recomandate de pachet. La fel ca --qf "%{recommends}".

--requires
    Afișează capacitățile de care depinde pachetul. La fel ca --qf "%{requires}".

--requires-pre
    Afișează capacitățile de care depinde pachetul pentru a rula un script %pre. La fel ca --qf "%{requires-pre}".

--suggests
    Afișează capacitățile sugerate de pachet. La fel ca --qf "%{suggests}".

--supplements
    Afișează capacitățile suplimentate de pachet. La fel ca --qf "%{supplements}".

--tree
    Afișează un arbore recursiv de pachete cu capacități specificate de una dintre următoarele opțiuni suplimentare: --whatrequires, --requires, --conflicts, --enhances, --suggests, --provides, --supplements, --recommends.

--deplist
    Produce o listă a tuturor dependențelor directe și a pachetelor care furnizează aceste dependențe pentru pachetele date. Rezultatul arată doar cei mai noi furnizori (care pot fi modificați utilizând opțiunea „--verbose”).

--nvr
    Afișează pachetele găsite în formatul nume-versiune-lansare. La fel ca --qf "%{name}-%{version}-%{release}".

--nevra
    Afișează pachetele găsite în formatul name-epoch:version-release.architecture. La fel ca --qf "%{name}-%{epoch}:%{version}-%{release}.%{arch}" (implicit).

--envra
    Afișează pachetele găsite în formatul epoch:name-version-release.architecture. La fel ca --qf "%{epoch}:%{name}-%{version}-%{release}.%{arch}"

--qf <format>, --queryformat <format>
    Format de afișare personalizat. <format> este șirul de caractere care urmează să fie afișat pentru fiecare pachet corespunzător. Fiecare apariție a lui %{<eticheta>} este înlocuită cu atributul corespunzător al pachetului. Lista etichetelor recunoscute poate fi afișată executând dnf repoquery --querytags.

--recursive
    Interoghează pachetele recursiv. Trebuie utilizată cu --whatrequires <REQ> (opțional cu --alldeps, dar nu cu --exactdeps) sau cu --requires <REQ> --resolve.

--resolve
    rezolvă capacitățile pentru pachetul (pachetele) de origine.

  Exemple de interogare a depozitelor „repoquery”

dnf repoquery 'light*'
    Afișează NEVRA ale tuturor pachetelor disponibile care corespund cu light*

dnf repoquery-na 'light*.noarch'
    Afișează NEVRA-urile tuturor pachetelor disponibile care corespund numelui light* și arhitecturii noarch (acceptă numai argumente în formatul „<nume>.<arhitectură>”)

dnf repoquery --requires lighttpd
    Afișează cerințele tuturor pachetelor lighttpd

dnf repoquery --requires python --resolve
    Afișează pachetele care oferă cerințele pachetelor python

dnf repoquery --source lighttpd
    Afișează sursa rpm a pachetului lighttpd

dnf repoquery --file /etc/lighttpd/lighttpd.conf
    Afișează numele pachetului care deține fișierul dat

dnf repoquery --queryformat '%{name}.%{arch} : %{reponame}' lighttpd
    Afișați numele, arhitectura și depozitul care conține toate pachetele lighttpd

dnf repoquery --whatprovides webserver
    Afișează toate pachetele disponibile care furnizează „webserver”

dnf repoquery --whatprovides webserver --arch i686
    Afișează toate pachetele disponibile care furnizează „webserver”, dar numai pentru arhitectura „i686”

dnf repoquery --duplicates
    Afișează pachetele duplicate

dnf repoquery --disablerepo="*" --enablerepo="*-source" --arch=src --whatrequires <furnizează>
    Afișează pachetele sursă care necesită o indicație <futnizează> pentru o compilare

  Comanda «repository-packages»
Comanda: repository-packages
Alias depreciate repo-pkgs, repo-packages, repository-pkgs

Comanda «repository-packages» permite utilizatorului să execute comenzi peste toate pachetele din depozitul numit <id-depozit>. Cu toate acestea, orice rezolvare a dependențelor ia în considerare pachetele din toate depozitele activate. Specificațiile <spec-fișier-pachet> și <specificație-pachet> limitează și mai mult candidații la doar acele pachete care corespund cel puțin uneia dintre ele.

Subcomanda info listează descrierea și informațiile sumare despre pachete în funcție de relația pachetelor cu depozitul. Subcomanda list afișează doar listele acestor pachete.

dnf [opțiuni] repository-packages <id-depozit> check-update [<spec-fișier-pachet>...]
    Verifică non-interactiv dacă sunt disponibile actualizări ale pachetelor specificate în depozit. Codul de ieșire DNF va fi 100 atunci când există actualizări disponibile și se va afișa o listă a actualizărilor.

dnf [opțiuni] repository-packages <id-depozit> info [--all] [<spec-fișier-pachet>...]
    Listează toate pachetele relaționate.

dnf [opțiuni] repository-packages <id-depozit> info --installed [<spec-fișier-pachet>...]
    Listează pachetele instalate din depozit.

dnf [opțiuni] repository-packages <id-depozit> info --available [<spec-fișier-pachet>...]
    Listează pachetele disponibile în depozit, dar care nu sunt instalate în prezent în sistem.

dnf [opțiuni] repository-packages <id-depozit> info --extras [<spec-fișier-pachet>...]
    Listează pachetele instalate din depozit care nu sunt disponibile în niciun depozit.

dnf [opțiuni] repository-packages <id-depozit> info --obsoletes [<spec-fișier-pachet>...]
    Listează pachetele din depozit care învechesc pachetele instalate în sistem.

dnf [opțiuni] repository-packages <id-depozit> info --recent [<spec-fișier-pachet>...]
    Listează pachetele adăugate recent în depozit.

dnf [opțiuni] repository-packages <id-depozit> info --upgrades [<spec-fișier-pachet>...]
    Listează pachetele din depozit care actualizează pachetele instalate în sistem.

dnf [options] repository-packages <id-depozit> install [<specificație-pachet>...]
    Instalează pachetele care corespund specificației <specificație-pachet> din depozit. Dacă <specificație-pachet> nu este specificat deloc, instalează toate pachetele din depozit.

dnf [opțiuni] repository-packages <id-depozit> list [--all] [<spec-fișier-pachet>...]
    Listează toate pachetele relaționate.

dnf [opțiuni] repository-packages <id-depozit> list --installed [<spec-fișier-pachet>...]
    Listează pachetele instalate din depozit.

dnf [opțiuni] repository-packages <id-depozit> list --available [<spec-fișier-pachet>...]
    Listează pachetele disponibile în depozit, dar care nu sunt instalate în prezent în sistem.

dnf [opțiuni] repository-packages <id-depozit> list --extras [<spec-fișier-pachet>...]
    Listează pachetele instalate din depozit care nu sunt disponibile în niciun depozit.

dnf [opțiuni] repository-packages <id-depozit> list --obsoletes [<spec-fișier-pachet>...]
    Listează pachetele din depozit care învechesc pachetele instalate în sistem.

dnf [opțiuni] repository-packages <id-depozit> list --recent [<spec-fișier-pachet>...]
    Listează pachetele adăugate recent în depozit.

dnf [opțiuni] repository-packages <id-depozit> list --upgrades [<spec-fișier-pachet>...]
    Listează pachetele din depozit care actualizează pachetele instalate în sistem.

dnf [opțiuni] repository-packages <id-depozit> move-to [<specificație-pachet>...]
    Reinstalează toate acele pachete care sunt disponibile în depozit.

dnf [opțiuni] repository-packages <id-depozit> reinstall [<specificație-pachet>...]
    Execută subcomanda reinstall-old. Dacă eșuează, execută subcomanda move-to.

dnf [opțiuni] repository-packages <id-depozit> reinstall-old [<specificație-pachet>...]
    Reinstalează toate pachetele care au fost instalate din depozit și care sunt disponibile simultan în depozit.

dnf [opțiuni] repository-packages <id-depozit> remove [<specificație-pachet>...]
    Elimină toate pachetele instalate din depozit împreună cu orice pachete care depind de pachetele care sunt eliminate. Dacă clean_requirements_on_remove este activată (implicit), elimină și orice dependențe care nu mai sunt necesare.

dnf [opțiuni] repository-packages <id-depozit> remove-or-distro-sync [<specificație-pachet>...]
    Selectează toate pachetele instalate din depozit. Actualizează, retrogradează sau păstrează cele dintre ele care sunt disponibile într-un alt depozit pentru a se potrivi cu cea mai recentă versiune disponibilă acolo și elimină celelalte împreună cu orice pachete care depind de pachetele care sunt eliminate. Dacă clean_requirements_on_remove este activată (implicit), elimină și orice dependențe care nu mai sunt necesare.

dnf [opțiuni] repository-packages <id-depozit> remove-or-reinstall [<specificație-pachet>...]
    Selectează toate pachetele instalate din depozit. Le reinstalează pe cele care sunt disponibile în alt depozit și le elimină pe celelalte împreună cu orice pachete care depind de pachetele eliminate. Dacă clean_requirements_on_remove este activată (implicit), elimină și orice dependențe care nu mai sunt necesare.

dnf [opțiuni] repository-packages <id-depozit> upgrade [<specificație-pachet>...]
    Actualizează toate pachetele la cea mai mare versiune rezolvabilă disponibilă în depozit. Atunci când versiunile sunt specificate în <specificație-pachet>, actualizează la aceste versiuni.

dnf [opțiuni] repository-packages <id-depozit> upgrade-to [<specificație-pachet>...]
    Un alias depreciat pentru subcomanda „upgrade”.

  Comanda «search»
Comanda: search
Alias: se

dnf [opțiuni] search [--all] <cuvinte-cheie>...
    Caută cuvinte cheie în metadatele pachetului. Cuvintele cheie sunt căutate ca subșiruri care nu țin cont de majuscule, este acceptat modelul global. În mod implicit, listează pachetele care corespund tuturor cheilor solicitate (operația ȘI). Cheile sunt căutate în numele pachetelor și în rezumate. Dacă se utilizează opțiunea --all, se listează pachetele care corespund cel puțin uneia dintre chei (operație SAU). În plus, cheile sunt căutate în descrierile pachetelor și în adresele URL. Rezultatul este sortat de la cele mai relevante rezultate la cele mai puțin relevante.

    În mod implicit, această comandă nu forțează o sincronizare a metadatelor expirate. Consultați și Sincronizarea metadatelor.

  Comanda «shell»
Comanda: shell
Alias: sh

dnf [opțiuni] shell [nume-fișier]
    Deschide un shell interactiv pentru executarea mai multor comenzi în timpul unei singure execuții a DNF. Aceste comenzi pot fi emise manual sau pasate către DNF dintr-un fișier. Comenzile sunt similare opțiunilor normale din linia de comandă DNF. Există câteva comenzi suplimentare documentate mai jos.

config [opțiune-configurare] [valoare]

•   Definește o opțiune de configurare la o valoare solicitată. Dacă nu este furnizată nicio valoare, se afișează valoarea curentă.

repo [list|enable|disable] [id-depozit]

•   list: listează depozitele și starea lor

•   enable: activează depozitul

•   disable: dezactivează depozitul

transaction [list|reset|solve|run]

•   list: rezolvă și listează conținutul tranzacției

•   reset: reinițiază tranzacția

•   run: rezolvă și execută tranzacția

    Rețineți că toate pachetele locale trebuie utilizate în prima subcomandă a tranzacției shell (de exemplu, install /tmp/nodejs-1-1.x86_64.rpm /tmp/acpi-1-1.noarch.rpm), altfel va apărea o eroare. Orice operație cu modulele disable, enable și reset (de exemplu, module enable nodejs) trebuie, de asemenea, efectuată înainte de utilizarea oricărei alte subcomenzi de tranzacție shell.

  Comanda «swap»
Comanda: swap

dnf [opțiuni] swap <specificație-eliminare> <specificație-instalare> Elimină remove-spec și instalează install-spec într-o singură tranzacție. Fiecare <specificație> poate fi fie o <specificație-pachet>, care specifică direct un pachet, fie o @<specificație-grup>, care specifică un grup (de mediu) care îl conține. Rezolvarea automată a conflictelor este asigurată în DNF de opțiunea „--allowerasing” care asigură automat funcționalitatea comenzii «swap».

  Comanda «updateinfo»
Comanda: updateinfo
Alias: upif
Alias depreciate: list-updateinfo, list-security, list-sec, info-updateinfo, info-security, info-sec, summary-updateinfo

dnf [opțiuni] updateinfo [--summary|--list|--info] [<disponibilitate>] [<specificație>...]
    Afișează informații despre avizele de actualizare.

    În funcție de tipul de ieșire, DNF afișează doar numărul de tipuri de avize (omise sau --summary), lista de avize (--list) sau informații detaliate (--info). Opțiunea -v extinde rezultatul. Atunci când este utilizată cu --info, informațiile sunt și mai detaliate. Atunci când este utilizată cu --list, se adaugă o coloană suplimentară cu data ultimei actualizări a avizului.

    <availability> specifică dacă sunt luate în considerare avizele privind versiunile mai noi ale pachetelor instalate (omise sau --available), avizele privind versiunile egale și mai vechi ale pachetelor instalate (--installed), avizele privind versiunile mai noi ale acelor pachete instalate pentru care este disponibilă o versiune mai nouă (--updates) sau avizele privind orice versiune a pachetelor instalate (--all). De cele mai multe ori, --available și --updates afișează același rezultat. Rezultatele diferă doar în cazurile în care un aviz se referă la o versiune mai nouă, dar nu există niciun depozit activat care să conțină o versiune mai nouă.

    Rețineți că --available ia în considerare numai cele mai recente versiuni instalate ale pachetelor. În cazul pachetelor de nucleu (atunci când mai multe versiuni pot fi instalate simultan) sunt adăugate și pachetele versiunii de nucleu care rulează în prezent.

    Pentru a afișa numai avize care fac referire la un CVE sau la o eroare bugzilla, utilizați opțiunile --with-cve sau --with-bz. Atunci când sunt utilizate aceste opțiuni, este modificată și ieșirea din --list - ID-ul CVE sau al bugzilla este afișat în loc de cel al avizului.

    Dacă este dată și dacă nici ID-ul, nici tipul (bugfix, enhancement, security/sec), nici numele pachetului unui aviz nu corespund cu <spec>, avizul nu este luat în considerare. Potrivirea este sensibilă la majuscule și, în cazul ID-urilor de avize și al numelor de pachete, este acceptat modelul globalizat.

    Ieșirea opțiunii --summary este afectată de opțiunea de configurare autocheck_running_kernel.

  Comanda «upgrade»
Comanda: upgrade
Alia: up
Alias depreciate: update, upgrade-to, update-to, localupdate

dnf [opțiuni] upgrade
    Actualizează fiecare pachet la cea mai recentă versiune care este disponibilă și rezolvabilă.

dnf [opțiuni] upgrade <specificație-pachet>...
    Actualizează fiecare pachet specificat la cea mai recentă versiune disponibilă. Actualizează dependențele după cum este necesar. Atunci când versiunile sunt specificate în <specificație-pachet>, actualizează la aceste versiuni.

dnf [opțiuni] upgrade @<specificație>...
    Alias pentru comanda dnf module update.

    Dacă opțiunea principală de configurare obsoletes este definită la „true” sau opțiunea --obsoletes este prezentă, dnf va include pachetele obsolete în calculele sale. Pentru mai multe informații, consultați obsolete.

    A se vedea, de asemenea, Politica de înlocuire a fișierelor de configurare.

  Comanda «upgrade-mimal»
Comanda: upgrade-minimal
Alias: up-min
Alias depreciate: update-minimal

dnf [opțiuni] upgrade-minimal
    Actualizează fiecare pachet la cea mai apropiată versiune disponibilă care oferă o remediere a erorilor, o îmbunătățire sau o remediere pentru o problemă de securitate (security).

dnf [opțiuni] upgrade-minimal <specificație-pachet>...
    Actualizează fiecare pachet specificat la cea mai apropiată versiune disponibilă care oferă o remediere a erorilor, o îmbunătățire sau o rezolvare a problemei de securitate (securitate). Actualizează dependențele după cum este necesar.

SPECIFICAREA PACHETELOR

Multe comenzi au un parametru <specificație-pachet> care selectează un pachet pentru operație. Argumentul <specificație-pachet> este comparat cu NEVRA-urile pachetelor, furnizările și furnizările de fișiere.

<spec-fișier-pachet> este similară cu <specificație-pachet>, cu excepția faptului că nu se realizează potrivirea furnizărilor. Prin urmare, <spec-fișier-pachet> este comparat numai cu NEVRA și cu furnizările de fișiere.

<spec-nume-pachet> este comparată numai cu NEVRA.

  Modele globale (ce conțin caractere joker)

Specificarea pachetelor acceptă aceeași potrivire de tip model global ca și shell, în toate cele trei pachete menționate mai sus cu care se potrivește (NEVRA-uri, furnizează și furnizează fișiere).

Sunt acceptate următoarele modele:

*   Se potrivește cu orice număr de caractere.

?   Se potrivește cu orice caracter unic.

[]  Se potrivește cu oricare dintre caracterele incluse. O pereche de caractere separate de o cratimă denotă o expresie de interval; orice caracter care se află între aceste două caractere, inclusiv, se potrivește. Dacă primul caracter care urmează după [ este un ! sau un ^, atunci se potrivește orice caracter care nu este inclus.

    Notă: Acoladele ({}) nu sunt acceptate. Le puteți utiliza în continuare în shell-urile care le acceptă și lăsați shell-ul să facă expansiunea, dar dacă sunt puse între ghilimele sau eludate, dnf nu le va extinde.

  Potrivirea NEVRA

În cazul comparării cu NEVRA, este acceptată compararea parțială. DNF încearcă să confrunte specificațiile cu următoarea listă de forme NEVRA (în ordinea descrescătoare a priorității):

•   name-[epoch:]version-release.arch

•   name.arch

•   name

•   name-[epoch:]version-release

•   name-[epoch:]version

    Rețineți că name poate conține în general liniuțe (de exemplu, pachet-cu-liniuțe).

    Primul format care corespunde oricărui pachet este utilizat, iar celelalte formate nu sunt încercate. Dacă niciunul dintre formate nu se potrivește cu niciun pachet, se încearcă potrivirea <specificație-pachetc> cu NEVRA-urile pachetelor complete. Acest lucru este relevant numai dacă „globs” (caracterele joker) sunt prezente în <specificație-pachet>.

    <specificație-pachet> se potrivește cu NEVRA în același mod în care o face <spec-nume-pachet>, dar în cazul în care potrivirea cu NEVRA eșuează, încearcă să se potrivească și cu furnizările de pachete și de fișiere.

    Puteți specifica modele globale ca parte a oricăreia dintre cele cinci componente NEVRA. De asemenea, puteți specifica un model global pentru a se potrivi cu mai multe componente NEVRA (cu alte cuvinte, pentru a se potrivi cu separatorii NEVRA). Cu toate acestea, în acest caz, trebuie să scrieți specificația pentru a se potrivi cu NEVRA-urile pachetului complet, deoarece nu este posibilă divizarea unei astfel de specificații în formatele NEVRA.

  Specificarea explicită a corespondenței NEVRA

Unele comenzi (autoremove, install, remove și repoquery) au și nume-alias cu sufixele -n, -na și -nevra care permit specificarea explicită a modului de analiză a argumentelor:

•   Comanda install-n se potrivește numai cu name.

•   Comanda install-na se potrivește numai cu name.arch.

•   Comanda install-nevra se potrivește numai cu name-[epoch:]version-release.arch.

SPECIFICAREA FURNIZEAZĂ

<specificație-furnizare> în descrierile comenzilor înseamnă că comanda operează asupra pachetelor care furnizează specificația dată. Aceasta poate fi o furnizare explicită, o furnizare implicită (de exemplu, numele pachetului) sau o furnizare de fișier. Selecția este sensibilă la majuscule și se acceptă modele ce conțin caractere joker.

  Specificarea furnizărilor de fișiere

Dacă o specificație începe fie cu /, fie cu /*/, este considerată ca o potențială furnizare de fișiere.

SPECIFICAREA GRUPURILOR

<specificație-grup> permite selectarea grupurilor (de mediu) pe care ar trebui să funcționeze o anumită operație. Este un șir de caractere insensibil la majuscule (care acceptă caractere joker) care este comparat cu ID-ul unui grup, cu numele canonic și cu numele tradus în parametrul LC_MESSAGES al configurației regionale curente (dacă este posibil).

SPECIFICAREA MODULELOR

<specificație-modul> permite selectarea modulelor sau profilurilor pe care ar trebui să funcționeze o anumită operație.

Este sub forma NAME:STREAM:VERSION:CONTEXT:ARCH/PROFILE, iar formele parțiale acceptate sunt următoarele:

•   NAME

•   NAME:STREAM

•   NAME:STREAM:VERSION

•   NAME:STREAM:VERSION:CONTEXT

•   toate combinațiile de mai sus cu ::ARCH (de exemplu, NAME::ARCH)

•   NAME:STREAM:VERSION:CONTEXT:ARCH

•   toate combinațiile de mai sus cu /PROFILE (de exemplu, NAME/PROFILE)

    În cazul în care fluxul nu este specificat, se utilizează fluxul activat sau fluxul implicit, în această ordine. În cazul în care profilul nu este specificat, se utilizează profilul implicit al sistemului sau profilul 'default'.

SPECIFICAREA TRANZACȚIILOR

<spec-tranzacție> poate avea una dintre mai multe forme. Dacă este un număr întreg, acesta specifică un ID al tranzacției. Specificarea last este aceeași cu specificarea ID-ului celei mai recente tranzacții. Ultima formă este last-<poziția>, unde <poziția> este un număr întreg pozitiv. Aceasta specifică a n-lea poziție a tranzacției care precede cea mai recentă tranzacție.

FILTRAREA PACHETELOR

Filtrarea pachetelor filtrează pachetele din setul de pachete disponibile, făcându-le invizibile pentru majoritatea comenzilor dnf. Acestea nu pot fi utilizate într-o tranzacție. Pachetele pot fi filtrate fie prin Filtrarea excluderilor, fie prin Filtrarea modulară.

  Filtrarea excluderilor

Filtrarea excluderilor este un mecanism utilizat de un utilizator sau de un modul DNF pentru a modifica setul de pachete disponibile. Filtrarea excluderilor poate fi modificată prin opțiunile de configurare includepkgs sau excludepkgs din fișierele de configurare. Opțiunea de linie de comandă --disableexcludes poate fi utilizată pentru a anula excluderile din fișierele de configurare. În plus față de excluderile configurate de utilizator, modulele pot extinde, de asemenea, setul de pachete excluse. Pentru a dezactiva excluderile dintr-un modul DNF, puteți utiliza opțiunea de linie de comandă --disableplugin.

Pentru a dezactiva toate excluderile pentru, de exemplu, comanda «install», puteți utiliza următoarea combinație de opțiuni de linie de comandă:

dnf --disableexcludes=all --disableplugin="*" install bash

  Filtrarea modulară

Vă rugăm să consultați documentația privind modularitatea pentru detalii privind modul în care funcționează filtrarea modulară.

Cu modularitate, numai pachetele RPM din fluxurile de module active sunt incluse în setul de pachete disponibile. Pachetele RPM din fluxurile de module inactive, precum și pachetele non-modulare cu același nume sau care furnizează un pachet dintr-un flux de module active, sunt filtrate. Filtrarea modulară nu este aplicată pachetelor adăugate din linia de comandă, pachetelor instalate sau pachetelor din depozite cu module_hotfixes=true în fișierul lor .repo.

Dezactivarea filtrării modulare nu este recomandată, deoarece ar putea determina sistemul să intre într-o stare de avarie. Pentru a dezactiva filtrarea modulară pentru un anumit depozit, specificați module_hotfixes=true în fișierul .repo sau utilizați --setopt=<id-depozit>.module_hotfixes=true.

Pentru a descoperi modulul care conține un pachet exclus, utilizați dnf module provides.

SINCRONIZAREA METADATELOR

Funcționarea corectă a DNF depinde de accesul la date actualizate de la toate depozitele activate, însă contactarea oglinzilor la distanță la fiecare operație îl încetinește considerabil și costă lățime de bandă atât pentru client, cât și pentru furnizorul de depozite. Opțiunea de configurare a depozitului metadata_expire (a se vedea dnf.conf(5)) este utilizată de DNF pentru a determina dacă o anumită copie locală a datelor din depozit trebuie resincronizată. Este esențial ca furnizorii de depozite să configureze bine opțiunea, și anume la o valoare la care se garantează că, dacă anumite metadate erau disponibile în momentul T pe server, atunci toate pachetele la care fac referire vor fi încă disponibile pentru descărcare de pe server în momentul T + metadata_expire.

Pentru a reduce și mai mult încărcarea lățimii de bandă, unele dintre comenzile pentru care nu este esențial să existe metadate actualizate (de exemplu, comanda list) nu verifică dacă un depozit este expirat și ori de câte ori o versiune a acestuia este disponibilă local pentru contul utilizatorului, aceasta va fi utilizată. Pentru utilizarea non-root, consultați și opțiunea --cacheonly. Rețineți că, în toate situațiile, utilizatorul poate forța sincronizarea tuturor depozitelor activate cu ajutorul opțiunii --refresh.

POLITICA DE ÎNLOCUIRE A FIȘIERELOR DE CONFIGURARE

Pachetele actualizate pot înlocui vechile fișiere de configurare modificate cu cele noi sau pot păstra fișierele mai vechi. Niciunul dintre fișiere nu este de fapt înlocuit. Pentru cele aflate în conflict, RPM acordă un sufix suplimentar la numele de origine. Care fișier ar trebui să își păstreze numele adevărat după tranzacție nu este controlat de gestionarul de pachete, ci este specificat de fiecare pachet în parte, conform directivelor de împachetare.

FIȘIERE

Fișiere cache
    /var/cache/dnf

Fișierul de configurare principal [MAIN]
    /etc/dnf/dnf.conf

Depozit
    /etc/yum.repos.d/

CONSULTAȚI ȘI

•   dnf.conf(5), Referință pentru configurarea DNF

•   dnf-PLUGIN(8) pentru documentația privind modulele DNF.

•   dnf.modularity(7), Prezentare generală a modularității.

•   dnf-transaction-json(5), Specificația privind formatul JSON al tranzacțiilor stocate.

•   Pagina principală a proiectului DNF (https://github.com/rpm-software-management/dnf/)

•   Cum să raportați o eroare (https://github.com/rpm-software-management/dnf/wiki/Bug-Reporting)

•   Pagina principală a proiectului YUM (http://yum.baseurl.org/)

AUTOR
Consultați fișierul AUTHORS în distribuția surselor DNF.

DREPTURI DE AUTOR
2012-2020, Red Hat, Licențiat sub GPLv2+

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.